Retrieve users within the workspaces

Retrieves a paginated list of all users who have access to the authenticated customer's workspace.

This endpoint allows you to:

  • List all users with access to the workspace
  • Filter users by roles (e.g., override reviewers)
  • Sort results by creation date
  • Paginate through large result sets

Results are sorted by creation date (newest first) by default.

Required permissions:

  • users_read
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
1 to 100

Maximum number of users to return in the response.

Constraints:

  • Minimum: 1
  • Maximum: 100

If not specified, the default pagination limit will be applied.

uuid

Pagination cursor - returns users created after the user with this ID.

  • Results are ordered by creation date
  • Cannot be used together with ending_before
  • Must be a valid UUID
uuid

Pagination cursor - returns users created before the user with this ID.

  • Results are ordered by creation date
  • Cannot be used together with starting_after
  • Must be a valid UUID
string
enum

Field and direction to sort results by.

Format:

  • created_at - ascending order (oldest first)
  • -created_at - descending order (newest first)

Supported fields: created_at

Allowed:
filters[roles]
array of strings

Filter users by their assigned roles in the workspace.

Supported role values:

  • override_reviewer - Users who can review (approve/reject) overrides

Multiple values can be provided to filter by multiple roles.

filters[roles]
Headers
string
enum

Specifies the preferred language for the response. Supported languages:

  • en - English
  • fr - French

If not provided, the default language will be used.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json